{*******************************************************************************
* Unit      : Defines the "Load Certificate" window                            *
********************************************************************************
* Purpose   : This window offers the possibility of requesting a Certificate   *
*             manually using eMail.                                            *
********************************************************************************
* Copyright : This software  is copyright TSM Inc. 1998-1999                   *
*             This source code may not be distributed to third parties in      *
*             or in part without the written permission of TSM Inc.            *
*             All rights reserved. Liability limited to replacement of         *
*             this original source code in the case of loss or damage because  *
*             the use or misuse of this software.                              *
********************************************************************************
* Version   : 14.08.99  - 2.00  PK version "SLockPK"                           *
********************************************************************************
* Switches  : None                                                             *
*******************************************************************************}
unit RegFrm1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ShellApi;

type
  TfrmLoadCert = class(TForm)
    mmoUIR: TMemo;
    btnLoadCertificateField: TButton;
    bvlStep2: TBevel;
    pnlButtons: TPanel;
    btnDone: TButton;
    btnTSMWeb: TButton;
    btnLoadCertificateClip: TButton;
    mmoCertificate: TMemo;
    Bevel1: TBevel;
    lblStep1: TLabel;
    Label1: TLabel;
    btnCopyToClip: TButton;
    procedure btnLoadCertificateFieldClick(Sender: TObject);
    procedure btnDoneClick(Sender: TObject);
    procedure btnLoadCertificateClipClick(Sender: TObject);
    procedure btnTSMWebClick(Sender: TObject);
    procedure btnCopyToClipClick(Sender: TObject);
  end;

var
  frmLoadCert: TfrmLoadCert;

implementation

uses frmMain;

{$R *.DFM}

{*******************************************************************************
* Procedure : btnLoadCertificateClipField                                      *
********************************************************************************
* Purpose   : Attempts to load a certificate from the clipboard.               *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnLoadCertificateFieldClick(Sender: TObject);
begin
     // load the certificate into SLock
     frmMainForm.Slock1.LoadCertStrings(mmoCertificate.Lines);
end; {TfrmLoadCert.btnLoadCertificateClipClick}

{*******************************************************************************
* Procedure : btnDoneClick                                                     *
********************************************************************************
* Purpose   : Closes the windows                                               *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnDoneClick(Sender: TObject);
begin
     Close;
end; {TfrmLoadCert.btnDoneClick}

{*******************************************************************************
* Procedure : btnLoadCertificateClipClick                                      *
********************************************************************************
* Purpose   : Attempts to load a certificate from the clipboard.               *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnLoadCertificateClipClick(Sender: TObject);
begin
     // load the certificate direct from the clipboard
     frmMainForm.SLock1.LoadCertClipboard;
end; {TfrmLoadCert.Button1Click}

{*******************************************************************************
* Procedure : TfrmLoadCert.btnPurchaseClick                                    *
********************************************************************************
* Purpose   : Opens a browser window to the KAGI order site                    *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
{*******************************************************************************
* Procedure : TfrmLoadCert.btnTSMWebClick                                      *
********************************************************************************
* Purpose   : Opens a browser window to the TSM main window                    *
********************************************************************************
* Paramters : None                                                             *
********************************************************************************
* Returns   : None                                                             *
*******************************************************************************}
procedure TfrmLoadCert.btnTSMWebClick(Sender: TObject);
begin
     ShellExecute(GetDesktopWindow(), nil,
                  PChar('http://www.crypto-central.com/index.html'),
                  nil, nil, SW_SHOWNORMAL);
end;

procedure TfrmLoadCert.btnCopyToClipClick(Sender: TObject);
begin
     // copy the text to the clipboard.
     mmoUIR.SelectAll;
     mmoUIR.CopyToClipboard;
end;

end.
